#pragma once
#include "Globals.h"
#include "KUserInput.h"
#include "Match.h"

class GameData
{
public:
	GameData(class Demo* demo);
	~GameData();

	void save_players();
	void load(PLAYER_ID p1, PLAYER_ID p2);
	STATE_VALUE get_state_value(int pnum, const std::string& name, bool constrain=true);

public:
	class LogicPlayer* players[2];
	Match match;
	KUserInput input;
	Demo* demo;
};
